From 0d8dbcb0913ab26da7dc87edc92977056d871f33 Mon Sep 17 00:00:00 2001
From: Yuri Chornoivan <yurchor@ukr.net>
Date: Mar 05 2019 16:21:51 +0000
Subject: Fix various minor typos


---

diff --git a/contrib/sssd.spec.in b/contrib/sssd.spec.in
index 22a1063..2e971a0 100644
--- a/contrib/sssd.spec.in
+++ b/contrib/sssd.spec.in
@@ -746,7 +746,7 @@ UIDs/GIDs to names and vice versa. It can be also used for mapping principal
 (user) name to IDs(UID or GID) or to obtain groups which user are member of.
 
 %package -n libsss_certmap
-Summary: SSSD Certficate Mapping Library
+Summary: SSSD Certificate Mapping Library
 Group: Development/Libraries
 License: LGPLv3+
 Requires(post): /sbin/ldconfig
@@ -756,7 +756,7 @@ Requires(postun): /sbin/ldconfig
 Library to map certificates to users based on rules
 
 %package -n libsss_certmap-devel
-Summary: SSSD Certficate Mapping Library
+Summary: SSSD Certificate Mapping Library
 Group: Development/Libraries
 License: LGPLv3+
 Requires: libsss_certmap = %{version}-%{release}
diff --git a/src/confdb/confdb.c b/src/confdb/confdb.c
index 07a1b16..890f31c 100644
--- a/src/confdb/confdb.c
+++ b/src/confdb/confdb.c
@@ -2224,7 +2224,7 @@ static errno_t certmap_local_check(struct ldb_message *msg)
 
     rule_name = ldb_msg_find_attr_as_string(msg, CONFDB_CERTMAP_NAME, NULL);
     if (rule_name == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, "Certficate mapping rule [%s] has no name.",
+        DEBUG(SSSDBG_CRIT_FAILURE, "Certificate mapping rule [%s] has no name.",
                                    ldb_dn_get_linearized(msg->dn));
         return EINVAL;
     }
@@ -2274,7 +2274,7 @@ static errno_t confdb_get_all_certmaps(TALLOC_CTX *mem_ctx,
     TALLOC_CTX *tmp_ctx = NULL;
     struct ldb_dn *dn = NULL;
     struct ldb_result *res = NULL;
-    /* The attributte order is important, because it is used in
+    /* The attribute order is important, because it is used in
      * sysdb_ldb_msg_attr_to_certmap_info and must match
      * enum certmap_info_member. */
     static const char *attrs[] = { CONFDB_CERTMAP_NAME,
diff --git a/src/db/sysdb_views.c b/src/db/sysdb_views.c
index 73213ae..ec6118d 100644
--- a/src/db/sysdb_views.c
+++ b/src/db/sysdb_views.c
@@ -1377,7 +1377,7 @@ errno_t sysdb_search_group_override_by_gid(TALLOC_CTX *mem_ctx,
  * @oaram[in] obj The original object
  * @param[in] override_obj The object with the override data, may be NULL
  * @param[in] req_attrs List of attributes to be requested, if not set a
- *                      default list dependig on the object type will be used
+ *                      default list depending on the object type will be used
  *
  * @return EOK - Override data was added successfully
  * @return ENOMEM - There was insufficient memory to complete the operation
diff --git a/src/lib/certmap/sss_cert_content_common.c b/src/lib/certmap/sss_cert_content_common.c
index 4291933..5fc9000 100644
--- a/src/lib/certmap/sss_cert_content_common.c
+++ b/src/lib/certmap/sss_cert_content_common.c
@@ -1,6 +1,6 @@
 /*
    SSSD - certificate handling utils
-   The calls defined here should be useable outside of SSSD as well, e.g. in
+   The calls defined here should be usable outside of SSSD as well, e.g. in
    libsss_certmap.
 
    Copyright (C) Sumit Bose <sbose@redhat.com> 2017
diff --git a/src/lib/certmap/sss_cert_content_crypto.c b/src/lib/certmap/sss_cert_content_crypto.c
index ee9aec2..ece194a 100644
--- a/src/lib/certmap/sss_cert_content_crypto.c
+++ b/src/lib/certmap/sss_cert_content_crypto.c
@@ -1,6 +1,6 @@
 /*
    SSSD - certificate handling utils - OpenSSL version
-   The calls defined here should be useable outside of SSSD as well, e.g. in
+   The calls defined here should be usable outside of SSSD as well, e.g. in
    libsss_certmap.
 
    Copyright (C) Sumit Bose <sbose@redhat.com> 2017
diff --git a/src/lib/certmap/sss_cert_content_nss.c b/src/lib/certmap/sss_cert_content_nss.c
index ed7ce24..d5ba518 100644
--- a/src/lib/certmap/sss_cert_content_nss.c
+++ b/src/lib/certmap/sss_cert_content_nss.c
@@ -1,6 +1,6 @@
 /*
    SSSD - certificate handling utils - NSS version
-   The calls defined here should be useable outside of SSSD as well, e.g. in
+   The calls defined here should be usable outside of SSSD as well, e.g. in
    libsss_certmap.
 
    Copyright (C) Sumit Bose <sbose@redhat.com> 2017
diff --git a/src/man/pam_sss.8.xml b/src/man/pam_sss.8.xml
index 9998519..86ed0fe 100644
--- a/src/man/pam_sss.8.xml
+++ b/src/man/pam_sss.8.xml
@@ -215,7 +215,7 @@ auth sufficient pam_sss.so allow_missing_name
                         Try to use certificate based authentication, i.e.
                         authentication with a Smartcard or similar devices. If a
                         Smartcard is available and the service is allowed for
-                        Smartcard authentication the use will be prompted for a
+                        Smartcard authentication the user will be prompted for a
                         PIN and the certificate based authentication will
                         continue
                     </para>
diff --git a/src/man/sssd.conf.5.xml b/src/man/sssd.conf.5.xml
index bea25c6..9e5a78d 100644
--- a/src/man/sssd.conf.5.xml
+++ b/src/man/sssd.conf.5.xml
@@ -1525,7 +1525,7 @@ pam_p11_allowed_services = +my_pam_service, -login
                             where the 'removable' flags is set and read the
                             certificates from the inserted token from the first
                             slot found. If multiple readers are connected
-                            p11_uri can be use to tell p11_child to use a
+                            p11_uri can be used to tell p11_child to use a
                             specific reader.
                         </para>
                         <para>
diff --git a/src/providers/ad/ad_gpo.h b/src/providers/ad/ad_gpo.h
index f57889f..8066511 100644
--- a/src/providers/ad/ad_gpo.h
+++ b/src/providers/ad/ad_gpo.h
@@ -38,7 +38,7 @@
  * This pair of functions provides client-side GPO processing.
  *
  * While a GPO can target both user and computer objects, this
- * implementation only supports targetting of computer objects.
+ * implementation only supports targeting of computer objects.
  *
  * A GPO overview is at https://fedorahosted.org/sssd/wiki/GpoOverview
  *
diff --git a/src/providers/ad/ad_subdomains.c b/src/providers/ad/ad_subdomains.c
index 549c2c1..260e621 100644
--- a/src/providers/ad/ad_subdomains.c
+++ b/src/providers/ad/ad_subdomains.c
@@ -844,7 +844,7 @@ static errno_t ad_subdom_reinit(struct ad_subdomains_ctx *subdoms_ctx)
         return ret;
     }
 
-    /* Make sure disabled domains are not re-enabled accidentially */
+    /* Make sure disabled domains are not re-enabled accidentally */
     if (subdoms_ctx->ad_enabled_domains != NULL) {
         for (dom = subdoms_ctx->be_ctx->domain->subdomains; dom;
                                             dom = get_next_domain(dom, false)) {
diff --git a/src/providers/backend.h b/src/providers/backend.h
index 5f5d636..a870bc6 100644
--- a/src/providers/backend.h
+++ b/src/providers/backend.h
@@ -101,7 +101,7 @@ struct be_ctx {
     /* In contrast to online_cb_list which are only run if the backend is
      * offline the unconditional_online_cb_list should be run whenever the
      * backend receives a request to go online. The typical use case is to
-     * reset timers independenly of the state of the backend. */
+     * reset timers independently of the state of the backend. */
     struct be_cb *unconditional_online_cb_list;
 
     struct be_offline_status offstat;
diff --git a/src/providers/fail_over.c b/src/providers/fail_over.c
index 168e59d..3a2a309 100644
--- a/src/providers/fail_over.c
+++ b/src/providers/fail_over.c
@@ -344,7 +344,7 @@ get_server_status(struct fo_server *server)
     gettimeofday(&tv, NULL);
     if (timeout != 0 && server->common->server_status == SERVER_NOT_WORKING) {
         if (STATUS_DIFF(server->common, tv) > timeout) {
-            DEBUG(SSSDBG_CONF_SETTINGS, "Reseting the server status of '%s'\n",
+            DEBUG(SSSDBG_CONF_SETTINGS, "Resetting the server status of '%s'\n",
                       SERVER_NAME(server));
             server->common->server_status = SERVER_NAME_NOT_RESOLVED;
             server->common->last_status_change.tv_sec = tv.tv_sec;
diff --git a/src/providers/ipa/ipa_deskprofile_rules_util.c b/src/providers/ipa/ipa_deskprofile_rules_util.c
index 991c605..2cb83f7 100644
--- a/src/providers/ipa/ipa_deskprofile_rules_util.c
+++ b/src/providers/ipa/ipa_deskprofile_rules_util.c
@@ -965,7 +965,7 @@ done:
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "Unable to set effective group id (%"PRIu32") of the "
-                  "domain's process. Let's have the process restartd!\n",
+                  "domain's process. Let's have the process restarted!\n",
                   orig_gid);
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "Sending SIGUSR2 to the process: %d\n", getpid());
diff --git a/src/providers/ipa/ipa_netgroups.c b/src/providers/ipa/ipa_netgroups.c
index 05ebac7..944bb36 100644
--- a/src/providers/ipa/ipa_netgroups.c
+++ b/src/providers/ipa/ipa_netgroups.c
@@ -628,7 +628,7 @@ static void ipa_netgr_members_process(struct tevent_req *subreq)
         goto fail;
     }
 
-    /* Process all member entites and store them in the designated hash table */
+    /* Process all member entities and store them in the designated hash table */
     key.type = HASH_KEY_STRING;
     value.type = HASH_VALUE_PTR;
     for (i = 0; i < count; i++) {
diff --git a/src/providers/ipa/ipa_subdomains_id.c b/src/providers/ipa/ipa_subdomains_id.c
index 5b975a5..652f01a 100644
--- a/src/providers/ipa/ipa_subdomains_id.c
+++ b/src/providers/ipa/ipa_subdomains_id.c
@@ -287,7 +287,7 @@ static void ipa_subdomain_account_got_override(struct tevent_req *subreq)
         }
     } else {
         if (state->mapped_attrs != NULL) {
-            /* remove certifcate (if any) if no matching override was found */
+            /* remove certificate (if any) if no matching override was found */
             ret = sysdb_remove_mapped_data(state->domain, state->mapped_attrs);
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE, "sysdb_remove_mapped_data failed, "
diff --git a/src/providers/krb5/krb5_common.c b/src/providers/krb5/krb5_common.c
index 2b003e1..2dba818 100644
--- a/src/providers/krb5/krb5_common.c
+++ b/src/providers/krb5/krb5_common.c
@@ -285,8 +285,8 @@ errno_t sss_krb5_check_options(struct dp_option *opts,
 
     if ((ccname[0] == '/') || (strncmp(ccname, "FILE:", 5) == 0)) {
         DEBUG(SSSDBG_CONF_SETTINGS, "ccache is of type FILE\n");
-        /* warn if the file type (which is usally created in a sticky bit
-         * laden directory) does not have randomizing chracters */
+        /* warn if the file type (which is usually created in a sticky bit
+         * laden directory) does not have randomizing characters */
         sss_check_cc_template(ccname);
 
         if (ccname[0] == '/') {
diff --git a/src/providers/ldap/sdap.c b/src/providers/ldap/sdap.c
index 5c9d0a4..528f885 100644
--- a/src/providers/ldap/sdap.c
+++ b/src/providers/ldap/sdap.c
@@ -1510,7 +1510,7 @@ int build_attrs_from_map(TALLOC_CTX *memctx,
         goto done;
     }
 
-    /* first attribute is "objectclass" not the specifc one */
+    /* first attribute is "objectclass" not the specific one */
     attrs[0] = talloc_strdup(memctx, "objectClass");
     if (!attrs[0]) return ENOMEM;
 
diff --git a/src/python/pysss_nss_idmap.c b/src/python/pysss_nss_idmap.c
index 2bbec7d..c64aa45 100644
--- a/src/python/pysss_nss_idmap.c
+++ b/src/python/pysss_nss_idmap.c
@@ -445,7 +445,7 @@ PyDoc_STRVAR(getsidbyuid_doc,
 Returns a dictionary with a dictionary of results for each given POSIX UID.\n\
 The result dictionary contain the SID and the type of the object which can be\n\
 accessed with the key constants SID_KEY and TYPE_KEY, respectively. Since \n\
-given ID is assumed to be a user ID is is not expected that group objects are\n\
+given ID is assumed to be a user ID is not expected that group objects are\n\
 returned."
 );
 
diff --git a/src/responder/common/cache_req/cache_req_private.h b/src/responder/common/cache_req/cache_req_private.h
index 52e20b6..4cf1bd3 100644
--- a/src/responder/common/cache_req/cache_req_private.h
+++ b/src/responder/common/cache_req/cache_req_private.h
@@ -38,7 +38,7 @@ struct cache_req {
     struct sss_nc_ctx *ncache;
     int midpoint;
 
-    /* Domain related informations. */
+    /* Domain related information. */
     struct sss_domain_info *domain;
     bool cache_first;
     bool bypass_cache;
diff --git a/src/responder/common/responder_packet.c b/src/responder/common/responder_packet.c
index cc4d669..7ad80fd 100644
--- a/src/responder/common/responder_packet.c
+++ b/src/responder/common/responder_packet.c
@@ -144,8 +144,8 @@ int sss_packet_grow(struct sss_packet *packet, size_t size)
     return 0;
 }
 
-/* reclaim backet previously resrved space in the packet
- * usually done in functione recovering from not fatal erros */
+/* reclaim back previously reserved space in the packet
+ * usually done in function recovering from not fatal errors */
 int sss_packet_shrink(struct sss_packet *packet, size_t size)
 {
     size_t newlen;
diff --git a/src/responder/ifp/ifp_users.c b/src/responder/ifp/ifp_users.c
index 5dd34d6..91aecb8 100644
--- a/src/responder/ifp/ifp_users.c
+++ b/src/responder/ifp/ifp_users.c
@@ -785,7 +785,7 @@ ifp_users_find_by_name_and_cert_recv(TALLOC_CTX *mem_ctx,
         }
     }
 
-    /* If there was no certficate given just return the object path of the
+    /* If there was no certificate given just return the object path of the
      * user found by name. If a certificate was given an no mapped user was
      * found return an error. */
     if (state->pem_cert == NULL) {
diff --git a/src/responder/kcm/kcmsrv_op_queue.c b/src/responder/kcm/kcmsrv_op_queue.c
index ee1aa47..06ca262 100644
--- a/src/responder/kcm/kcmsrv_op_queue.c
+++ b/src/responder/kcm/kcmsrv_op_queue.c
@@ -131,7 +131,7 @@ static int kcm_op_queue_entry_destructor(struct kcm_ops_queue_entry *entry)
     if (next_entry == NULL) {
         /* If there was no other entry, schedule removal of the queue. Do it
          * in another tevent tick to avoid issues with callbacks invoking
-         * the descructor while another request is touching the queue
+         * the destructor while another request is touching the queue
          */
         imm = tevent_create_immediate(entry->queue);
         if (imm == NULL) {
diff --git a/src/responder/nss/nss_protocol_netgr.c b/src/responder/nss/nss_protocol_netgr.c
index 575171d..1e9959c 100644
--- a/src/responder/nss/nss_protocol_netgr.c
+++ b/src/responder/nss/nss_protocol_netgr.c
@@ -122,7 +122,7 @@ nss_protocol_fill_netgrent(struct nss_ctx *nss_ctx,
 
     if (idx->result > cmd_ctx->enum_ctx->netgroup_count) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Unconsistent state while processing netgroups.\n");
+              "Inconsistent state while processing netgroups.\n");
         ret = EINVAL;
         goto done;
     }
diff --git a/src/sbus/codegen/sbus_Invoker.py b/src/sbus/codegen/sbus_Invoker.py
index 3e6358d..c4977b5 100644
--- a/src/sbus/codegen/sbus_Invoker.py
+++ b/src/sbus/codegen/sbus_Invoker.py
@@ -185,7 +185,7 @@ class InvokerKeygen:
 
         SBus code generator tries to reduce amount of generated code by
         reusing keygens whenever possible. Therefore we must ensure
-        that only one keygen is generated for each signature signature.
+        that only one keygen is generated for each signature.
     """
     @staticmethod
     def BuildKey(sbus_member, sbus_signature, Args=None):
diff --git a/src/sbus/interface/sbus_interface.c b/src/sbus/interface/sbus_interface.c
index afd54dd..bc42503 100644
--- a/src/sbus/interface/sbus_interface.c
+++ b/src/sbus/interface/sbus_interface.c
@@ -455,10 +455,10 @@ sbus_warn_deprecated(const struct sbus_annotation *annotations,
 
         by = sbus_annotation_find(annotations, SBUS_ANNOTATION_DEPRECATED_BY);
         if (by != NULL) {
-            DEBUG(SSSDBG_IMPORTANT_INFO, "%s%s%s is depracated by %s\n",
+            DEBUG(SSSDBG_IMPORTANT_INFO, "%s%s%s is deprecated by %s\n",
                   iface_name, dot, member, by);
         } else {
-            DEBUG(SSSDBG_IMPORTANT_INFO, "%s%s%s is depracated\n",
+            DEBUG(SSSDBG_IMPORTANT_INFO, "%s%s%s is deprecated\n",
                   iface_name, dot, member);
         }
     }
diff --git a/src/sbus/request/sbus_message.c b/src/sbus/request/sbus_message.c
index 90c6df4..cd7d6da 100644
--- a/src/sbus/request/sbus_message.c
+++ b/src/sbus/request/sbus_message.c
@@ -66,7 +66,7 @@ static void sbus_msg_data_destructor(void *ctx)
     if (!talloc_msg->in_talloc_destructor) {
         /* References to this message dropped to zero but through
          * dbus_message_unref(), not by calling talloc_free(). We need to free
-         * the talloc context and avoid running talloc desctuctor. */
+         * the talloc context and avoid running talloc destructor. */
         talloc_set_destructor(talloc_msg, NULL);
         talloc_free(talloc_msg);
     }
diff --git a/src/sbus/sbus_private.h b/src/sbus/sbus_private.h
index 2c25d57..dbea732 100644
--- a/src/sbus/sbus_private.h
+++ b/src/sbus/sbus_private.h
@@ -81,7 +81,7 @@ struct sbus_connection {
     const char *unique_name;
 
     /**
-     * True if the connection is beeing disconnected or freed. No further
+     * True if the connection is being disconnected or freed. No further
      * manipulation with the connection is allowed.
      */
     bool disconnecting;
diff --git a/src/sbus/sbus_sync.h b/src/sbus/sbus_sync.h
index 09f4238..fd14b01 100644
--- a/src/sbus/sbus_sync.h
+++ b/src/sbus/sbus_sync.h
@@ -66,7 +66,7 @@ sbus_sync_connect_private(TALLOC_CTX *mem_ctx,
  *
  * @param mem_ctx       Memory context with which the reply will be bound.
  *                      If NULL, the reply is not bound with talloc context.
- * @param conn          Synchornous sbus connection.
+ * @param conn          Synchronous sbus connection.
  * @param msg           Message to be sent.
  * @param timeout_ms    Timeout is miliseconds.
  * @param _reply        Output reply. If NULL no reply is expected.
@@ -85,7 +85,7 @@ sbus_sync_message_send(TALLOC_CTX *mem_ctx,
 /**
  * Emit signal on synchronous sbus connection.
  *
- * @param conn          Synchornous sbus connection.
+ * @param conn          Synchronous sbus connection.
  * @param msg           Message to be sent.
  */
 void sbus_sync_emit_signal(struct sbus_sync_connection *conn,
diff --git a/src/sbus/server/sbus_server_match.c b/src/sbus/server/sbus_server_match.c
index 07bdf5b..4467c3b 100644
--- a/src/sbus/server/sbus_server_match.c
+++ b/src/sbus/server/sbus_server_match.c
@@ -433,7 +433,7 @@ sbus_server_matchmaker(struct sbus_server *server,
             continue;
         }
 
-        /* Sometimes (e.g. when a name is being deleted), we do do not want to
+        /* Sometimes (e.g. when a name is being deleted), we do not want to
          * send the signal to a specific name. */
         if (avoid_name != NULL) {
             has_name = sbus_server_connection_has_name(server, match_conn,
diff --git a/src/sss_client/libwbclient/wbclient_sssd.h b/src/sss_client/libwbclient/wbclient_sssd.h
index f2fe8fe..e70663d 100644
--- a/src/sss_client/libwbclient/wbclient_sssd.h
+++ b/src/sss_client/libwbclient/wbclient_sssd.h
@@ -1110,7 +1110,7 @@ wbcErr wbcAllocateGid(gid_t *pgid);
  *
  * @return #wbcErr
  *
- * @deprecated      This method is not impemented any more and should
+ * @deprecated      This method is not implemented any more and should
  *                  be removed in the next major version change.
  **/
 wbcErr wbcSetUidMapping(uid_t uid, const struct wbcDomainSid *sid);
@@ -1627,7 +1627,7 @@ wbcErr wbcLookupDomainControllerEx(const char *domain,
                                    struct wbcDomainControllerInfoEx **dc_info);
 
 /**********************************************************
- * Athenticate functions
+ * Authenticate functions
  **********************************************************/
 
 /**
diff --git a/src/tests/intg/ldap_local_override_test.py b/src/tests/intg/ldap_local_override_test.py
index ce79594..558a578 100644
--- a/src/tests/intg/ldap_local_override_test.py
+++ b/src/tests/intg/ldap_local_override_test.py
@@ -529,8 +529,8 @@ def test_imp_exp_user_override(ldap_conn, env_imp_exp_user_override):
 # Regression test for bug 3179
 
 
-def test_imp_exp_user_overrride_noname(ldap_conn,
-                                       env_two_users_and_group):
+def test_imp_exp_user_override_noname(ldap_conn,
+                                      env_two_users_and_group):
 
     # Override
     subprocess.check_call(["sss_override", "user-add", "user1",
diff --git a/src/tests/intg/test_files_provider.py b/src/tests/intg/test_files_provider.py
index 4c151b1..784bfa9 100644
--- a/src/tests/intg/test_files_provider.py
+++ b/src/tests/intg/test_files_provider.py
@@ -1034,7 +1034,7 @@ def test_getgrnam_add_remove_ghosts(setup_pw_with_canary,
 
 
 def realloc_users(pwd_ops, num):
-    # Intentionally not including the the last one because
+    # Intentionally not including the last one because
     # canary is added first
     for i in range(1, num):
         user = user_generator(i)
diff --git a/src/tests/python/docs/examples.rst b/src/tests/python/docs/examples.rst
index f74d2ea..965d2ba 100644
--- a/src/tests/python/docs/examples.rst
+++ b/src/tests/python/docs/examples.rst
@@ -122,7 +122,7 @@ Namespace hook
                       ip: 10.65.223.18
                       role: master
 
-      * since we have 2 hosts with with role client and 1 host with role master we can create a namespace hook in conftest.py to access the hosts as a list
+      * since we have 2 hosts with role client and 1 host with role master we can create a namespace hook in conftest.py to access the hosts as a list
 
       * create a conftest.py as below::
 
diff --git a/src/tests/sss_idmap-tests.c b/src/tests/sss_idmap-tests.c
index 8859136..96f0861 100644
--- a/src/tests/sss_idmap-tests.c
+++ b/src/tests/sss_idmap-tests.c
@@ -68,7 +68,7 @@ void idmap_ctx_setup(void)
     fail_unless(idmap_ctx != NULL, "sss_idmap_init returned NULL.");
 }
 
-void idmap_ctx_setup_additional_seconary_slices(void)
+void idmap_ctx_setup_additional_secondary_slices(void)
 {
     enum idmap_error_code err;
 
@@ -939,7 +939,7 @@ Suite *idmap_test_suite (void)
                               ck_leak_check_setup,
                               ck_leak_check_teardown);
     tcase_add_checked_fixture(tc_map_additional_secondary_slices,
-                              idmap_ctx_setup_additional_seconary_slices,
+                              idmap_ctx_setup_additional_secondary_slices,
                               idmap_ctx_teardown);
     tcase_add_checked_fixture(tc_map_additional_secondary_slices,
                               idmap_add_domain_with_sec_slices_setup,
diff --git a/src/util/crypto/libcrypto/crypto_nite.c b/src/util/crypto/libcrypto/crypto_nite.c
index e863d3f..61b236a 100644
--- a/src/util/crypto/libcrypto/crypto_nite.c
+++ b/src/util/crypto/libcrypto/crypto_nite.c
@@ -72,7 +72,7 @@ int sss_encrypt(TALLOC_CTX *mem_ctx, enum encmethod enctype,
     hmackey = EVP_PKEY_new_mac_key(EVP_PKEY_HMAC, NULL, key, keylen);
     if (!hmackey) return ENOMEM;
 
-    /* We have no function to return the size of the output for arbitray HMAC
+    /* We have no function to return the size of the output for arbitrary HMAC
      * algorithms so we just truncate to the key size should the hmac be bigger
      * (or pad with zeros should the HMAC be smaller) */
     hmaclen = keylen;
diff --git a/src/util/crypto/nss/nss_nite.c b/src/util/crypto/nss/nss_nite.c
index db3cefa..2ae28fd 100644
--- a/src/util/crypto/nss/nss_nite.c
+++ b/src/util/crypto/nss/nss_nite.c
@@ -66,7 +66,7 @@ int sss_encrypt(TALLOC_CTX *mem_ctx, enum encmethod enctype,
     hmac = &mechs[AES256CBC_HMAC_SHA256].hmac;
     ivlen = enc->bsize;
 
-    /* We have no function to return the size of the output for arbitray HMAC
+    /* We have no function to return the size of the output for arbitrary HMAC
      * algorithms so we just truncate to the key size should the hmac be bigger
      * (or pad with zeros should the HMAC be smaller) */
     hmaclen = keylen;
diff --git a/src/util/files.c b/src/util/files.c
index 33b21e2..6c57359 100644
--- a/src/util/files.c
+++ b/src/util/files.c
@@ -668,7 +668,7 @@ copy_dir(struct copy_ctx *cctx,
         goto done;
     }
 
-    /* Create the directory.  It starts owned by us (presumbaly root), with
+    /* Create the directory.  It starts owned by us (presumably root), with
      * fairly restrictive permissions that still allow us to use the
      * directory.
      * */
diff --git a/src/util/sss_ptr_list.h b/src/util/sss_ptr_list.h
index a3066b7..dc40ea3 100644
--- a/src/util/sss_ptr_list.h
+++ b/src/util/sss_ptr_list.h
@@ -43,7 +43,7 @@ struct sss_ptr_list_item {
  *
  * @param mem_ctx              Memory context.
  * @param free_data_on_removal If true than the stored pointer is freed when
- *                             it is beeing remove from the list or when
+ *                             it is being removed from the list or when
  *                             the list is freed.
  * @return New list or NULL on failure.
  */
diff --git a/src/util/tev_curl.h b/src/util/tev_curl.h
index c733127..d2ac2eb 100644
--- a/src/util/tev_curl.h
+++ b/src/util/tev_curl.h
@@ -82,7 +82,7 @@ tcurl_request_send(TALLOC_CTX *mem_ctx,
  * @param[in]  mem_ctx         The talloc context that owns the response
  * @param[in]  req             The request previously obtained with tcurl_request_send
  * @param[out] _response       Response to the request
- * @param[out] _response_code  Protocol response code (may indicate a protocl error)
+ * @param[out] _response_code  Protocol response code (may indicate a protocol error)
  *
  * @returns The error code of the curl request (not the HTTP code!)
  */
diff --git a/src/util/util.c b/src/util/util.c
index cbe6a28..a893fac 100644
--- a/src/util/util.c
+++ b/src/util/util.c
@@ -454,7 +454,7 @@ errno_t sss_filter_sanitize_ex(TALLOC_CTX *mem_ctx,
 
     while (input[i]) {
         /* Even though this character might have a special meaning, if it's
-         * expliticly allowed, just copy it and move on
+         * explicitly allowed, just copy it and move on
          */
         if (ignore == NULL) {
             allowed = NULL;
diff --git a/src/util/util.h b/src/util/util.h
index 90f9d36..76e1bc0 100644
--- a/src/util/util.h
+++ b/src/util/util.h
@@ -404,11 +404,11 @@ bool local_provider_is_built(void);
 /**
  * @brief Add two list of strings
  *
- * Create a new NULL-termintated list of strings by adding two lists together.
+ * Create a new NULL-terminated list of strings by adding two lists together.
  *
  * @param[in] mem_ctx      Talloc memory context for the new list.
- * @param[in] l1           First NULL-termintated list of strings.
- * @param[in] l2           Second NULL-termintated list of strings.
+ * @param[in] l1           First NULL-terminated list of strings.
+ * @param[in] l2           Second NULL-terminated list of strings.
  * @param[in] copy_strings If set to 'true' the list items will be copied
  *                         otherwise only the pointers to the items are
  *                         copied.

